Apple Music Search API

Search Apple Music

1 creditper request
GET
/v1/apple-music/search
curl "https://api.scrapecreators.com/v1/apple-music/search" \
  -H "x-api-key: "
{
  "success": true,
  "credits_remaining": 49996588521,
  "data": {
    "query": "taylor swift",
    "type": "song",
    "results": [
      {
        "id": "1833328840",
        "kind": "song",
        "title": "The Fate of Ophelia",
        "artist_name": "Taylor Swift",
        "url": "https://music.apple.com/us/album/the-fate-of-ophelia/1833328839?i=1833328840",
        "duration_ms": 226000
      }
    ]
  }
}

Headers

x-api-key
string
required

Your Scrape Creators API key

Query Parameters

query
string
required

Search query

Example:
taylor swift
type
string

Result type to return. Use all, song, album, artist, playlist, station, music_video, or radio_episode.

Example:
song